class DungeonProxy:
    def __init__(self, dungeon):
        self._dg = dungeon

    @property
    def width(self):
        return self._dg.width

    @property
    def height(self):
        return self._dg.height

    @property
    def cells(self):
        return self._dg.cells
